# **PyGUI** - Simple, Extensible Python GUI for Pygame ![Pygame](https://img.shields.io/badge/Pygame-ce-green?style=flat-square&logo=python&logoColor=white)

![GitHub repo size](https://img.shields.io/github/repo-size/ousmblueninja/pygui?color=blue&style=flat-square)
![GitHub stars](https://img.shields.io/github/stars/ousmblueninja/pygui?style=flat-square)
![GitHub issues](https://img.shields.io/github/issues/ousmblueninja/pygui?style=flat-square)
![MIT License](https://img.shields.io/github/license/ousmblueninja/pygui?style=flat-square)

> **A lightweight and customizable Python GUI framework built for Pygame.**

**PyGUI** is designed to simplify the creation of in-game user interfaces and debugging tools. It features core GUI components like buttons, sliders, checkboxes, and windows while maintaining performance for games made with **Pygame**.

---

## **Features**

- 🔥 **Lightweight**: Efficient and fast, with minimal overhead, perfect for real-time applications.
- 🎮 **Game-Ready**: Seamlessly integrates with Pygame for easy implementation in your game development projects.
- 🖱️ **Interactive Components**: Includes buttons, sliders, checkboxes, labels, and movable windows.
- 🎨 **Highly Customizable**: Adjust size, position, and appearance of every element to match your project's aesthetics.

---

## **Installation**

1. **Clone the Repository:**

   ```bash
   git clone https://github.com/ousmblueninja/pygui.git
   ```

2. **Install Pygame:**

   If you don't already have Pygame installed, you can install it using pip:

   ```bash
   pip install pygame
   ```

3. **Include PyGUI in Your Project:**

   Add `pygui.py` to your project and start using its components in your Pygame game.

---

## **Contributing**

💡 Contributions are welcome! Whether it's bug fixes, feature suggestions, or code contributions, feel free to open an issue or submit a pull request. Let's build an awesome GUI library together!

1. Fork the repository.
2. Create a new feature branch: `git checkout -b feature-name`.
3. Commit your changes: `git commit -m 'Add some feature'`.
4. Push to the branch: `git push origin feature-name`.
5. Open a pull request.

---

## **License**

📜 This project is licensed under the **MIT License** – see the [LICENSE](https://github.com/ousmblueninja/pygui/blob/main/LICENSE) file for details.

---

![Pygame](https://img.shields.io/badge/PyGame-Powered-blue?style=for-the-badge&logo=python&logoColor=white)

**PyGUI** - The simplest way to build Pygame GUIs.
